Page MenuHomeFreeBSD

security/doas: Match upstream version
ClosedPublic

Authored by jrm on Feb 18 2017, 2:57 PM.

Details

Summary

security/doas: Match upstream version (non-working example)

PR: 217176

Test Plan

portlint -C: OK
testport: OK (poudriere: 10.3-RELEASE-p10, i386)
testport: OK (poudriere: 10.3-RELEASE-p10, amd64)
testport: OK (poudriere: 11.0-RELEASE-p1, i386)
testport: OK (poudriere: 11.0-RELEASE-p1, amd64)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 7596
Build 7748: arc lint + arc unit

Event Timeline

jrm updated this revision to Diff 25353.Feb 18 2017, 2:57 PM
jrm retitled this revision from to security/doas: Match upstream version (non-working example).
jrm updated this object.
jrm edited the test plan for this revision. (Show Details)
jrm updated this object.Feb 18 2017, 2:58 PM
jrm updated this object.Feb 18 2017, 7:42 PM
jrm updated this revision to Diff 25449.Feb 20 2017, 11:23 PM

Update distinfo for new upstream GH tag.

jrm retitled this revision from security/doas: Match upstream version (non-working example) to security/doas: Match upstream version.Feb 20 2017, 11:23 PM
jrm updated this object.
mat added a comment.Feb 21 2017, 12:31 PM

Note that this does not have reviewers, so, nobody is likely to review it ;-)

security/doas/Makefile
17

remove uselessly added tab.

jrm added a comment.Feb 21 2017, 12:53 PM

I was just using the visual diff to discuss changes to a patch with a submitter.

mat added a comment.Feb 21 2017, 12:58 PM

Then you should probably have the discussion here, in public :-)

jrm updated this revision to Diff 25469.Feb 21 2017, 2:16 PM

Updating license variables.

jrm added a comment.Feb 21 2017, 2:24 PM

License situation:

Most of the code is under OpenBSD's ISC license.
There is some code from NetBSD under a 2-clause BSD license.
The author of the FreeBSD port, jsmith@resonatingmedia.com created this license file, which includes the same NetBSD license and a copyright notice with his contact information: https://github.com/slicer69/doas/blob/master/LICENSE

I guess the two lines below depend on what jsmith@resonatingmedia.com wants to do.

#LICENSE_FILE_BSD2CLAUSE= ${WRKSRC}/LICENSE...
#LICENSE_FILE_ISCL= ${WRKSRC}/LICENSE...

jrm edited the test plan for this revision. (Show Details)Feb 21 2017, 2:26 PM
jrm added a reviewer: mat.
mat added inline comments.Feb 22 2017, 7:33 AM
security/doas/Makefile
12–13

Those should be uncommented.

jrm updated this revision to Diff 25524.Feb 22 2017, 2:08 PM
jrm edited the test plan for this revision. (Show Details)

Uncomment the LICENSE_FILE_BSD2CLAUSE and LICENSE_FILE_ISCL lines.

mat accepted this revision.Feb 22 2017, 2:11 PM
mat edited edge metadata.
mat added inline comments.
security/doas/Makefile
17

The extra tab should be removed.

This revision is now accepted and ready to land.Feb 22 2017, 2:11 PM
jrm marked an inline comment as done.Feb 22 2017, 2:19 PM

I suspect I am flirting with the boundaries of your patience, but could you elaborate why it makes sense to

LICENSE_FILE_BSD2CLAUSE=${WRKSRC}/LICENSE
LICENSE_FILE_ISCL=${WRKSRC}/LICENSE

when ${WRKSRC}/LICENSE only contains what it does?

security/doas/Makefile
12–13

Unocmmented, but this seems strange to me. That license file only contains the ISCL with the porter's copyright statement.

This revision was automatically updated to reflect the committed changes.
jrm marked an inline comment as done.